<?php
/**
 * Xmag Child functions and definitions
 *
 * @link https://developer.wordpress.org/themes/advanced-topics/child-themes/
 *
 * @package Xmag Child
 * @since Xmag Child 1.0
 */


/**
 * Enqueue the parent and child theme stylesheets.
 */
add_action( 'wp_enqueue_scripts', 'xmag_enqueue_styles' );
function xmag_enqueue_styles() {
	$theme = wp_get_theme();
	wp_enqueue_style( 'xmag-style', get_template_directory_uri() . '/style.css',
		array(),
		$theme->parent()->get('Version')
	);
	wp_enqueue_style( 'xmag-child-style', get_stylesheet_directory_uri() . '/style.css',
		array( 'xmag-style' ), // the parent stylesheet it depends on
		$theme = wp_get_theme()
	);
}
